UbixOS V2 2.0

Data Fields
cpuinfo_t Struct Reference

`#include <smp.h>`

Collaboration diagram for cpuinfo_t:

## Data Fields
uInt8 | apic_id
uInt8 | apic_ver
char | brand [49]
uInt32 | feature
uInt8 | id
char | ident [17]
uInt32 | max
uInt8 | ok
uInt32 | signature

## Detailed Description

Definition at line 34 of file smp.h.

## Field Documentation

## ◆ apic_id

uInt8 cpuinfo_t::apic_id

Definition at line 37 of file smp.h.

## ◆ apic_ver

uInt8 cpuinfo_t::apic_ver

Definition at line 37 of file smp.h.

## ◆ brand

char cpuinfo_t::brand[49]

Definition at line 41 of file smp.h.

## ◆ feature

uInt32 cpuinfo_t::feature

Definition at line 39 of file smp.h.

## ◆ id

uInt8 cpuinfo_t::id

Definition at line 35 of file smp.h.

## ◆ ident

char cpuinfo_t::ident[17]

Definition at line 42 of file smp.h.

## ◆ max

uInt32 cpuinfo_t::max

Definition at line 40 of file smp.h.

## ◆ ok

uInt8 cpuinfo_t::ok

Definition at line 36 of file smp.h.

## ◆ signature

uInt32 cpuinfo_t::signature

Definition at line 38 of file smp.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/ubixos/smp.h